## The Broad Institute
## SOFTWARE COPYRIGHT NOTICE AGREEMENT
## This software and its documentation are copyright (2013) by the
## Broad Institute/Massachusetts Institute of Technology. All rights are
## reserved.
##
## This software is supplied without any warranty or guaranteed support
## whatsoever. Neither the Broad Institute nor MIT can be responsible for its
## use, misuse, or functionality.

print("Beginning runGP_DependencyBiomarkerPlot.R")


args <- commandArgs(trailingOnly=TRUE)

vers <- "2.15"            # R version
libdir <- args[1]
server.dir <- args[2]
patch.dir <- args[3]

.libPaths(libdir)

library("getopt")
print("loaded getopt")
library("optparse")
print("loaded optparse")

print("Packages loaded")

option_list <- list(
  make_option("--Achilles.file", dest="Achilles.file"),
  make_option("--Biomarker.file", dest="Biomarker.file"),
  make_option("--Gene1", dest = "Gene1"),
  make_option("--Gene2", dest = "Gene2"),
  make_option("--Gene3", dest = "Gene3"),
  make_option("--Gene4", dest = "Gene4"),
  make_option("--Gene5", dest = "Gene5")
)

opt <- parse_args(OptionParser(option_list=option_list), positional_arguments=TRUE, args=args)
print(opt)
opts <- opt$options

print("Beginning to source all R scripts")

source(file.path(libdir, "DependencyBiomarkerPlot.R"))

print("All R scripts sourced")

sessionInfo()

print("Beginning Function")

ListOfGenes <- c(opts$Gene1,opts$Gene2,opts$Gene3,opts$Gene4,opts$Gene5)

DependencyBiomarkerPlot(opts$Achilles.file, opts$Biomarker.file, ListOfGenes)